org.keycloak.representations.idm

## Class AuthenticationExecutionInfoRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.AuthenticationExecutionInfoRepresentation

- All Implemented Interfaces:
    Serializable

      public class AuthenticationExecutionInfoRepresentation
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `alias`
    `protected String` | `authenticationConfig`
    `protected Boolean` | `authenticationFlow`
    `protected Boolean` | `configurable`
    `protected String` | `description`
    `protected String` | `displayName`
    `protected String` | `flowId`
    `protected String` | `id`
    `protected int` | `index`
    `protected int` | `level`
    `protected String` | `providerId`
    `protected String` | `requirement`
    `protected List<String>` | `requirementChoices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionInfoRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `String` | `getAuthenticationConfig()`
    `Boolean` | `getAuthenticationFlow()`
    `Boolean` | `getConfigurable()`
    `String` | `getDescription()`
    `String` | `getDisplayName()`
    `String` | `getFlowId()`
    `String` | `getId()`
    `int` | `getIndex()`
    `int` | `getLevel()`
    `String` | `getProviderId()`
    `String` | `getRequirement()`
    `List<String>` | `getRequirementChoices()`
    `void` | `setAlias(String alias)`
    `void` | `setAuthenticationConfig(String authenticationConfig)`
    `void` | `setAuthenticationFlow(Boolean authenticationFlow)`
    `void` | `setConfigurable(Boolean configurable)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFlowId(String flowId)`
    `void` | `setId(String execution)`
    `void` | `setIndex(int index)`
    `void` | `setLevel(int level)`
    `void` | `setProviderId(String providerId)`
    `void` | `setRequirement(String requirement)`
    `void` | `setRequirementChoices(List<String> requirementChoices)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### requirement

          protected String requirement

    - #### displayName

          protected String displayName

    - #### alias

          protected String alias

    - #### description

          protected String description

    - #### requirementChoices

          protected List<String> requirementChoices

    - #### configurable

          protected Boolean configurable

    - #### authenticationFlow

          protected Boolean authenticationFlow

    - #### providerId

          protected String providerId

    - #### authenticationConfig

          protected String authenticationConfig

    - #### flowId

          protected String flowId

    - #### level

          protected int level

    - #### index

          protected int index

  - ### Constructor Detail

    - #### AuthenticationExecutionInfoRepresentation

          public AuthenticationExecutionInfoRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String execution)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getRequirement

          public String getRequirement()

    - #### setRequirement

          public void setRequirement(String requirement)

    - #### getRequirementChoices

          public List<String> getRequirementChoices()

    - #### setRequirementChoices

          public void setRequirementChoices(List<String> requirementChoices)

    - #### getConfigurable

          public Boolean getConfigurable()

    - #### setConfigurable

          public void setConfigurable(Boolean configurable)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getAuthenticationConfig

          public String getAuthenticationConfig()

    - #### setAuthenticationConfig

          public void setAuthenticationConfig(String authenticationConfig)

    - #### getAuthenticationFlow

          public Boolean getAuthenticationFlow()

    - #### setAuthenticationFlow

          public void setAuthenticationFlow(Boolean authenticationFlow)

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

    - #### getIndex

          public int getIndex()

    - #### setIndex

          public void setIndex(int index)

    - #### getFlowId

          public String getFlowId()

    - #### setFlowId

          public void setFlowId(String flowId)

Copyright © 2020 JBoss by Red Hat. All rights reserved.